lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'enrich/version'

Gem::Specification.new do |spec|
  spec.name          = 'enrich'
  spec.version       = Enrich::VERSION
  spec.authors       = %w(Ricardo Otero)
  spec.email         = %w(oterosantos@gmail.com)

  spec.summary       = 'Very basic gem to make Rails decorators'
  spec.description   = spec.summary
  spec.homepage      = 'https://github.com/rikas/enrich'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w(lib)

  spec.add_dependency 'activesupport'

  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-rspec'
end
